# Package org.apache.maven.project

Interface Summary
Interface | Description
--- | ---
MavenProjectBuilder |
MavenProjectHelper |
ModelUtils.ModelPartCloner |
ProjectBuilderConfiguration |

Class Summary
Class | Description
--- | ---
DefaultMavenProjectBuilder |
DefaultMavenProjectHelper |
DefaultProjectBuilderConfiguration |
MavenProject | The concern of the project is provide runtime values based on the model.
MavenProjectBuildingResult |
ModelUtils |
ProjectSorter | Sort projects by dependencies.
ProjectUtils |

Exception Summary
Exception | Description
--- | ---
DuplicateProjectException | Exception that occurs when the project list contains duplicate projects instead of ignoring one.
InvalidProjectModelException |
MissingProjectException | Exception that occurs when the user has identifed a project to make, but that project doesn't exist.
ProjectBuildingException |